<?php

define("SUPPLIERCATALOGS_MODULE_DIR","./modules/suppliercatalogs");
define("SUPPLIERCATALOGS_MODULE_DIR_ADMIN","../modules/suppliercatalogs");

$action = $_REQUEST['a'];
$isAdmin = stripos($_SERVER['SCRIPT_NAME'],"/admin/")===false?false:true;

if($isAdmin && $action == "functions"){
	
	include_once(SUPPLIERCATALOGS_MODULE_DIR_ADMIN . '/suppliercatalogs.functions.php');
}elseif($action == "functions"){
	include_once(SUPPLIERCATALOGS_MODULE_DIR . '/suppliercatalogs.functions.php');	
}
elseif($action == "admin.manage"){
	include_once(SUPPLIERCATALOGS_MODULE_DIR_ADMIN . '/suppliercatalogs.admin.manage.php');
}elseif($action == "upload_image"){
	include_once(SUPPLIERCATALOGS_MODULE_DIR_ADMIN . '/suppliercatalogs.upload_image.php');
}

?>